Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Asynch_Pseudo_Task Class Reference

`#include <Asynch_Pseudo_Task.h>`

Inheritance diagram for ACE_Asynch_Pseudo_Task:

[legend]
Collaboration diagram for ACE_Asynch_Pseudo_Task:

[legend]
List of all members.

## Public Methods
| ACE_Asynch_Pseudo_Task ()
virtual | ~ACE_Asynch_Pseudo_Task ()
int | start (void)
int | stop (void)
virtual int | svc (void)
| Run by a daemon thread to handle deferred processing.
int | is_active (void)
int | register_io_handler (ACE_HANDLE handle, ACE_Event_Handler *handler, ACE_Reactor_Mask mask, int flg_suspend)
int | remove_io_handler (ACE_HANDLE handle)
int | remove_io_handler (ACE_Handle_Set &set)
int | resume_io_handler (ACE_HANDLE handle)
int | suspend_io_handler (ACE_HANDLE handle)
## Protected Methods
int | lock_finish (void)
int | unlock_finish (void)
## Protected Attributes
int | flg_active_
ACE_Select_Reactor | select_reactor_
ACE_Reactor | reactor_
| Pointer to the various event demultiplexors.
ACE_Lock & | token_
int | finish_count_
ACE_Manual_Event | finish_event_
## Friends
class | ACE_POSIX_Asynch_Accept
class | ACE_POSIX_Asynch_Connect
class | ACE_WIN32_Asynch_Connect

## Constructor & Destructor Documentation

ACE_Asynch_Pseudo_Task::ACE_Asynch_Pseudo_Task | ( |  | ) |

ACE_Asynch_Pseudo_Task::~ACE_Asynch_Pseudo_Task | ( |  | ) | `[virtual]`

## Member Function Documentation

int ACE_Asynch_Pseudo_Task::is_active | ( | void |  | ) |

int ACE_Asynch_Pseudo_Task::lock_finish | ( | void |  | ) | `[protected]`

int ACE_Asynch_Pseudo_Task::register_io_handler | ( | ACE_HANDLE | handle,
|  | ACE_Event_Handler * | handler,
|  | ACE_Reactor_Mask | mask,
|  | int | flg_suspend
| ) |

int ACE_Asynch_Pseudo_Task::remove_io_handler | ( | ACE_Handle_Set & | set | ) |

int ACE_Asynch_Pseudo_Task::remove_io_handler | ( | ACE_HANDLE | handle | ) |

int ACE_Asynch_Pseudo_Task::resume_io_handler | ( | ACE_HANDLE | handle | ) |

int ACE_Asynch_Pseudo_Task::start | ( | void |  | ) |

int ACE_Asynch_Pseudo_Task::stop | ( | void |  | ) |

int ACE_Asynch_Pseudo_Task::suspend_io_handler | ( | ACE_HANDLE | handle | ) |

int ACE_Asynch_Pseudo_Task::svc | ( | void |  | ) | `[virtual]`

| Run by a daemon thread to handle deferred processing. Reimplemented from ACE_Task_Base.

int ACE_Asynch_Pseudo_Task::unlock_finish | ( | void |  | ) | `[protected]`

## Friends And Related Function Documentation

friend class ACE_POSIX_Asynch_Accept`[friend]`

friend class ACE_POSIX_Asynch_Connect`[friend]`

friend class ACE_WIN32_Asynch_Connect`[friend]`

## Member Data Documentation

int ACE_Asynch_Pseudo_Task::finish_count_`[protected]`

ACE_Manual_Event ACE_Asynch_Pseudo_Task::finish_event_`[protected]`

int ACE_Asynch_Pseudo_Task::flg_active_`[protected]`

ACE_Reactor ACE_Asynch_Pseudo_Task::reactor_`[protected]`

| Pointer to the various event demultiplexors. Reimplemented from ACE_Event_Handler.

ACE_Select_Reactor ACE_Asynch_Pseudo_Task::select_reactor_`[protected]`

ACE_Lock& ACE_Asynch_Pseudo_Task::token_`[protected]`

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Asynch_Pseudo_Task.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Asynch_Pseudo_Task.cpp